<?php

include '../../../script/conexion.php';

$id_pedido = $_POST['id_pedido'];
$nombre_usuario = $_POST['nombre_usuario'];

$fecha = $_POST['fecha'];
$numero_pedido = $_POST['numero_pedido'];
$nombre_tercero = $_POST['nombre_tercero'];

$observacion = $_POST['observacion'];

$sqlt = "SELECT * FROM pedido WHERE id='$id_pedido'";
$queryt = $conn->query($sqlt);
$rowt = $queryt->fetch_assoc();

$sql = "UPDATE  pedido  SET  observacion='$observacion' WHERE id='$id_pedido'";
if ($conn->query($sql) === TRUE) {

    $sql3 = "SELECT * FROM pedido_detalle WHERE  id_pedido='$id_pedido'";
    $query3 = $conn->query($sql3);
    if ($query3->num_rows > 0) {
        while ($row3 = $query3->fetch_assoc()) {
            
            
            $class_referencia = $row3['referencia_producto'];
            $class_talla = $row3['talla'];

            include '../../../clases-fabrica/class-referencia.php';

            $class_nombre_tercero_cierre = $rowt['nombre_tercero'];
            $class_referencia_cierre = $row3['referencia_producto'];
            $class_talla_cierre = $row3['talla'];

            include '../../../clases-fabrica/class-cierre.php';
        }
    }

    echo '<script language = javascript>
                     self.location = "../pedido-detalle.php?id_pedido=' . $id_pedido . '"
                </script>';
} else {
    echo "Error: " . $sql . "<br>" . $conn->error;
}

